## ETableConfig

ETableConfig

## Synopsis

    struct              ETableConfigSortWidgets;
    struct              ETableConfig;
    ETableConfig *      e_table_config_new                  (const gchar *header,
                                                             ETableSpecification *spec,
                                                             ETableState *state,
                                                             GtkWindow *parent_window);
    ETableConfig *      e_table_config_construct            (ETableConfig *etco,
                                                             const gchar *header,
                                                             ETableSpecification *spec,
                                                             ETableState *state,
                                                             GtkWindow *parent_window);
    void                e_table_config_raise                (ETableConfig *config);

## Object Hierarchy

      GObject
       +----ETableConfig

## Properties

      "state"                    ETableState*          : Read

## Signals

      "changed"                                        : Run Last

## Description

## Details

### struct ETableConfigSortWidgets

    struct ETableConfigSortWidgets {
    	GtkWidget    *combo;
    	GtkWidget    *frames;
    	GtkWidget    *radio_ascending;
    	GtkWidget    *radio_descending;
    	GtkWidget    *view_check; /* Only for group dialog */
    	guint         changed_id, toggled_id;
    	gpointer e_table_config;
    };

### struct ETableConfig

    struct ETableConfig;

### e_table_config_new ()

    ETableConfig *      e_table_config_new                  (const gchar *header,
                                                             ETableSpecification *spec,
                                                             ETableState *state,
                                                             GtkWindow *parent_window);

Creates a new ETable config object.

`header` : | The title of the dialog for the ETableConfig.
`spec` : | The specification for the columns to allow.
`state` : | The current state of the configuration.
Returns : | The config object.

### e_table_config_construct ()

    ETableConfig *      e_table_config_construct            (ETableConfig *etco,
                                                             const gchar *header,
                                                             ETableSpecification *spec,
                                                             ETableState *state,
                                                             GtkWindow *parent_window);

### e_table_config_raise ()

    void                e_table_config_raise                (ETableConfig *config);

Raises the dialog associated with this ETableConfig object.

`config` : | The ETableConfig object.

## Property Details

### The `"state"` property

      "state"                    ETableState*          : Read

## Signal Details

### The `"changed"` signal

    void                user_function                      (ETableConfig *etableconfig,
                                                            gpointer      user_data)         : Run Last